<?php
/**
 * app/plugins/testing/templates/testing.inc.php
 *
 * This is the loader for the testing template.
 *
 * @package TP Testing
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Templates;

use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Navigation;

class TestingLoader extends DefaultLoader {
    public function __construct() {
        $this->addJs( '<script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{ROOT_URL}app/plugins/testing/js/testing.js"></script>' );
        parent::__construct();
    }
}