<?php
/**
 * app/plugins/updates/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Status-Updates
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Updates extends Plugin {
    public $pluginName = 'TP Status-Updates';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a user status update system.';
    public $permissionMatrix = [
        'updates' => [
            'pretty' => 'Can create status updates',
            'default' => false,
        ],
    ];
}
