<?php
/**
 * app/plugins/dashboards/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Testing
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Dashboards extends Plugin {
    public $pluginName = 'TP Dashboards';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin for adding and showing custom user dashboards.';
    
    public function __construct( $load = false ) {
        parent::__construct( $load );
    }
}
